<template>
  <web-view class="web-view" :src="url"></web-view>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { getStorageSync, useDidShow } from '@tarojs/taro';
import { WebView } from '@tarojs/components';

const url = ref('');

useDidShow(() => {
  url.value = getStorageSync('game_url');
});
</script>

<style lang="scss">
.web-view {
  // 适配ios底部安全区域
  padding-bottom: constant(safe-area-inset-bottom);
  padding-bottom: env(safe-area-inset-bottom);
}
</style>
